package anecho.extranet.event;

import java.util.EventObject;

public class TelnetEvent extends EventObject {

    private String _IACMessage;
    private static final boolean DEBUG = false;

    public TelnetEvent( Object source, String IACMessage ) {
        super( source );
        _IACMessage = IACMessage;
    }

    public String getMessage() {
        if (DEBUG) {
            System.err.println("TelnetEvent.getMessage() " + _IACMessage);
        }
        return _IACMessage;
    }

    public void sendMessage(String message) {
        _IACMessage = message;
        if (DEBUG) {
            System.err.println("TelnetEvent.sendMessage() " + _IACMessage);
        }
    }
    
}
